nx_server_plugin_sdk 1.0 Server Plugin SDK

Classes | Public Member Functions | Protected Member Functions | List of all members
nx::vms_server_plugins::analytics::stub::object_actions::DeviceAgent Class Reference
Inheritance diagram for nx::vms_server_plugins::analytics::stub::object_actions::DeviceAgent:

## Public Member Functions
| DeviceAgent (const nx::sdk::IDeviceInfo *deviceInfo)
Public Member Functions inherited from nx::sdk::analytics::ConsumingDeviceAgent
virtual void | setHandler (IHandler *handler) override
Public Member Functions inherited from nx::sdk::RefCountable< IConsumingDeviceAgent >
| RefCountable (const RefCountable &)=delete
| RefCountable (RefCountable &&)=delete
RefCountable & | operator= (const RefCountable &)=delete
RefCountable & | operator= (RefCountable &&)=delete
virtual int | addRef () const override
virtual int | releaseRef () const override
int | refCount () const

## Protected Member Functions
virtual std::string | manifestString () const override
virtual bool | pushCompressedVideoFrame (nx::sdk::Ptr< const nx::sdk::analytics::ICompressedVideoPacket > videoFrame) override
Protected Member Functions inherited from nx::sdk::analytics::ConsumingDeviceAgent
| ConsumingDeviceAgent (const IDeviceInfo *deviceInfo, bool enableOutput, const std::string &integrationInstanceId="")
virtual bool | pushUncompressedVideoFrame (Ptr< const IUncompressedVideoFrame >)
virtual bool | pushCustomMetadataPacket (Ptr< const ICustomMetadataPacket >)
virtual bool | pullMetadataPackets (std::vector< Ptr< IMetadataPacket >> *)
void | pushMetadataPacket (Ptr< IMetadataPacket > metadataPacket)
void | pushIntegrationDiagnosticEvent (IIntegrationDiagnosticEvent::Level level, std::string caption, std::string description) const
virtual nx::sdk::Result< const nx::sdk::ISettingsResponse * > | settingsReceived ()
std::string | settingValue (const std::string &settingName) const
std::map< std::string, std::string > | currentSettings () const
void | pushManifest (const std::string &pushManifest)
virtual void | finalize () override
virtual void | doGetSettingsOnActiveSettingChange (Result< const IActiveSettingChangedResponse *> *, const IActiveSettingChangedAction *) override
virtual void | doPushDataPacket (Result< void > *outResult, IDataPacket *dataPacket) override
virtual void | doSetSettings (Result< const ISettingsResponse *> *outResult, const IStringMap *settings) override
virtual void | getIntegrationSideSettings (Result< const ISettingsResponse *> *) const override
virtual void | getManifest (Result< const IString *> *outResult) const override
virtual void | doSetNeededMetadataTypes (Result< void > *, const IMetadataTypes *) override

## Additional Inherited Members
Protected Attributes inherited from nx::sdk::analytics::ConsumingDeviceAgent
const LogUtils | logUtils

## Member Function Documentation

## ◆ pushCompressedVideoFrame()

bool nx::vms_server_plugins::analytics::stub::object_actions::DeviceAgent::pushCompressedVideoFrame | ( | nx::sdk::Ptr< const nx::sdk::analytics::ICompressedVideoPacket > |  | ) |
| overrideprotectedvirtual

Override to accept next compressed video frame for processing. Should not block the caller thread for long.

Parameters

  videoFrame | Contains a pointer to the compressed video frame raw bytes.

Reimplemented from nx::sdk::analytics::ConsumingDeviceAgent.

The documentation for this class was generated from the following files:

- samples/analytics/stub_analytics_plugin/src/nx/vms_server_plugins/analytics/stub/object_actions/device_agent.h
- samples/analytics/stub_analytics_plugin/src/nx/vms_server_plugins/analytics/stub/object_actions/device_agent.cpp